@echo off
@REM Update tomcat from 9.0.55 to 9.0.62 Security Patch - Read the README.txt contained in folder before running this file.

set SERVICE=Tomcat9
set INSTALL_DIR=C:\Program Files\PrinterOn Corporation
set TOMCAT_DIR=C:\Program Files\PrinterOn Corporation\Apache Tomcat
set DESCRIPTION="Apache Tomcat 9.0.62 Server - https://tomcat.apache.org/"
set VERSION="9.0.62"

@REM Check Tomcat version
@REM call "%TOMCAT_DIR%\bin\version.bat"
type "%TOMCAT_DIR%\version.txt"

@REM Stop Tomcat Service
net stop %SERVICE%

cd /d %~dp0

@REM @REM Create a backup of the Tomcat Folder to roll back if Required.
xcopy /E /H /C /I /Y "%TOMCAT_DIR%\*" "%INSTALL_DIR%\Apache Tomcat-backup\" 

@REM Copy new Tomcat bin and lib Files into new folder
xcopy /Y "%~dp0Resources\bin\*" "%TOMCAT_DIR%\bin\"
xcopy /Y "%~dp0Resources\lib\*" "%TOMCAT_DIR%\lib\"
xcopy /Y "%~dp0Resources\Conf\*" "%TOMCAT_DIR%\Conf\"

@REM Ensure all version references are updated
xcopy /Y "%~dp0Resources\RELEASE-NOTES" "%TOMCAT_DIR%\RELEASE-NOTES"
xcopy /Y "%~dp0Resources\Version.txt" "%TOMCAT_DIR%\Version.txt"
setx -m TomcatVersion %VERSION%
sc description %SERVICE% %DESCRIPTION%

@REM Start Tomcat Service
net start %SERVICE%

@REM Check Tomcat Version Running
@REM call "%TOMCAT_DIR%\bin\version.bat"
type "%TOMCAT_DIR%\Version.txt"